using Microsoft.UI.Xaml.Controls;

namespace TestProject;

/// <summary>
///  
/// </summary>
public sealed partial class MainPage : Page
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - MainPage()

    /// <summary>
    /// 
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.listView.SelectionChanged += listView_SelectionChanged;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region Ʈ    óϱ - listView_SelectionChanged(sender, e)

    /// <summary>
    /// Ʈ    óϱ
    /// </summary>
    /// <param name="sender">̺Ʈ ߻</param>
    /// <param name="e">̺Ʈ </param>
    private void listView_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
        if(this.listView.SelectedItem != null)
        {
            this.selectedItemTextBlock.Text = "Selected item : " + this.listView.SelectedItem.ToString();
        }
        else
        {
            this.selectedItemTextBlock.Text = "Selected item : null";
        }

        this.selectedIndexTextBlock.Text     = "Selected index : " + this.listView.SelectedIndex.ToString();
        this.selectedItemCountTextBlock.Text = "Items selected : " + this.listView.SelectedItems.Count.ToString();
        this.addedItemsTextBlock.Text        = "Added   : " + e.AddedItems.Count.ToString();
        this.removedItemsTextBlock.Text      = "Removed : " + e.RemovedItems.Count.ToString();
    }

    #endregion
}